### Method

# Aravis Device read_bytes

since: 0.8.36

#### Declaration [src]

    GByteArray*
    arv_device_read_bytes (
      ArvDevice* device,
      guint64 address,
      guint32 size,
      GError** error
    )

#### Description [src]

Reads `size` bytes from the device memory.

Available since: 0.8.36

This method is renamed to `arv_device_read_memory()` in language bindings.

#### Parameters

`address`

  Type: `guint64`

  Memory address.

`size`

  Type: `guint32`

  Number of bytes to read.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

A new [class@Glib.ByteArray), `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.